## pdb2gmx

Main Table of Contents

VERSION 3.2.0
Sun 25 Jan 2004

### Description

This program reads a pdb file, reads some database files, adds hydrogens to the molecules and generates coordinates in Gromacs (Gromos) format and a topology in Gromacs format. These files can subsequently be processed to generate a run input file.

The force fields supported currently are:

G43a1 GROMOS96 43a1 Forcefield (official distribution)

oplsaa OPLS-AA/L all-atom force field (2001 aminoacid dihedrals)

G43b1 GROMOS96 43b1 Vacuum Forcefield (official distribution)

gmx Gromacs Forcefield (a modified GROMOS87, see manual)

G43a2 GROMOS96 43a2 Forcefield (development) (improved alkane dihedrals)

The corresponding data files can be found in the library directory with names like ffXXXX.YYY. Check chapter 5 of the manual for more information about file formats.

Note that a pdb file is nothing more than a file format, and it need not necessarily contain a protein structure. Every kind of molecule for which there is support in the database can be converted. If there is no support in the database, you can add it yourself.

The program has limited intelligence, it reads a number of database files, that allow it to make special bonds (Cys-Cys, Heme-His, etc.), if necessary this can be done manually. The program can prompt the user to select which kind of LYS, ASP, GLU, CYS or HIS residue she wants. For LYS the choice is between LYS (two protons on NZ) or LYSH (three protons, default), for ASP and GLU unprotonated (default) or protonated, for HIS the proton can be either on ND1 (HISA), on NE2 (HISB) or on both (HISH). By default these selections are done automatically. For His, this is based on an optimal hydrogen bonding conformation. Hydrogen bonds are defined based on a simple geometric criterium, specified by the maximum hydrogen-donor-acceptor angle and donor-acceptor distance, which are set by `-angle` and `-dist` respectively.

Option `-merge` will ask if you want to merge consecutive chains into one molecule, this can be useful for connecting chains with a disulfide brigde.

pdb2gmx will also check the occupancy field of the pdb file. If any of the occupanccies are not one, indicating that the atom is not resolved well in the structure, a warning message is issued. When a pdb file does not originate from an X-Ray structure determination all occupancy fields may be zero. Either way, it is up to the user to verify the correctness of the input data (read the article!).

During processing the atoms will be reordered according to Gromacs conventions. With `-n` an index file can be generated that contains one group reordered in the same way. This allows you to convert a Gromos trajectory and coordinate file to Gromos. There is one limitation: reordering is done after the hydrogens are stripped from the input and before new hydrogens are added. This means that you should not use `-ignh`.

The `.gro` and `.g96` file formats do not support chain identifiers. Therefore it is useful to enter a pdb file name at the `-o` option when you want to convert a multichain pdb file.

The option `-dummy` removes hydrogen and fast improper dihedral motions. Angular and out-of-plane motions can be removed by changing hydrogens into dummy atoms and fixing angles, which fixes their position relative to neighboring atoms. Additionally, all atoms in the aromatic rings of the standard amino acids (i.e. PHE, TRP, TYR and HIS) can be converted into dummy atoms, elminating the fast improper dihedral fluctuations in these rings. Note that in this case all other hydrogen atoms are also converted to dummy atoms. The mass of all atoms that are converted into dummy atoms, is added to the heavy atoms.

Also slowing down of dihedral motion can be done with `-heavyh` done by increasing the hydrogen-mass by a factor of 4. This is also done for water hydrogens to slow down the rotational motion of water. The increase in mass of the hydrogens is subtracted from the bonded (heavy) atom so that the total mass of the system remains the same.

### Files

option | filename | type | description
--- | --- | --- | ---
`-f` | `eiwit.pdb` | Input | Generic structure: gro g96 pdb tpr tpb tpa xml
`-o` | `conf.gro` | Output | Generic structure: gro g96 pdb xml
`-p` | `topol.top` | Output | Topology file
`-i` | `posre.itp` | Output | Include file for topology
`-n` | `clean.ndx` | Output, Opt. | Index file
`-q` | `clean.pdb` | Output, Opt. | Generic structure: gro g96 pdb xml

### Other options

option | type | default | description
--- | --- | --- | ---
`-[no]h` | bool | `no` | Print help info and quit
`-nice` | int | `0` | Set the nicelevel
`-[no]merge` | bool | `no` | Merge multiple chains into one molecule
`-ff` | string | `G43a1` | Select the force field, supported are: G43a1, oplsaa, gmx, G43a2, G43b1. Run pdb2gmx -h for more information.
`-water` | enum | `spc` | Water model to use: with GROMOS we recommend SPC, with OPLS, TIP4P: `spc`, `spce`, `tip3p`, `tip4p` or `tip5p`
`-[no]inter` | bool | `no` | Set the next 6 options to interactive
`-[no]ss` | bool | `no` | Interactive SS bridge selection
`-[no]ter` | bool | `no` | Interactive termini selection, iso charged
`-[no]lys` | bool | `no` | Interactive Lysine selection, iso charged
`-[no]asp` | bool | `no` | Interactive Aspartic Acid selection, iso charged
`-[no]glu` | bool | `no` | Interactive Glutamic Acid selection, iso charged
`-[no]his` | bool | `no` | Interactive Histidine selection, iso checking H-bonds
`-angle` | real | `135` | Minimum hydrogen-donor-acceptor angle for a H-bond (degrees)
`-dist` | real | `0.3` | Maximum donor-acceptor distance for a H-bond (nm)
`-[no]una` | bool | `no` | Select aromatic rings with united CH atoms on Phenylalanine, Tryptophane and Tyrosine
`-[no]ignh` | bool | `no` | Ignore hydrogen atoms that are in the pdb file
`-[no]missing` | bool | `no` | Continue when atoms are missing, dangerous
`-posrefc` | real | `1000` | Force constant for position restraints
`-dummy` | enum | `none` | Convert atoms to dummy atoms: `none`, `hydrogens` or `aromatics`
`-[no]heavyh` | bool | `no` | Make hydrogen atoms heavy
`-[no]deuterate` | bool | `no` | Change the mass of hydrogens to 2 amu

http://www.gromacs.org
gromacs@gromacs.org